Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion
Interface EPPSuggestionConstants

    public interface EPPSuggestionConstants

Title: EPPSuggestionConstants Description: This interface defines constants to be used when processing the language and key elements from the EPP Suggestion INFO command. It also includes constants which identify the expected values for the `language` element. Copyright: Copyright (c) 2008 Company: VeriSign

Version:
  1.0, Oct 21, 2008
Author:
  psitowitz

Field Summary
`static java.lang.String` | `CHINESE_CODE` Chinese language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `CHINESE_NAME` Chinese language Constant as represented in Name Suggestions.
`static java.lang.String` | `DEFAULT_LANGUAGE` Default the language to English for backward compatibility.
`static java.lang.String` | `ELM_KEY` EPP Suggestion `key` element.
`static java.lang.String` | `ELM_LANGUAGE` EPP Suggestion `language` element.
`static java.lang.String` | `ELM_SUBID` EPP Suggestion `subID` element.
`static java.lang.String` | `ENGLISH_CODE` English language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `ENGLISH_NAME` English language Constant as represented in Name Suggestions.
`static java.lang.String` | `FRENCH_CODE` French language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `FRENCH_NAME` French language Constant as represented in Name Suggestions.
`static java.lang.String` | `GERMAN_CODE` German language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `GERMAN_NAME` German language Constant as represented in Name Suggestions.
`static java.lang.String` | `KOREAN_CODE` Korean language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `KOREAN_NAME` Korean language Constant as represented in Name Suggestions.
`static java.lang.String` | `PORTUGUESE_CODE` Portuguese language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `PORTUGUESE_NAME` Portuguese language Constant as represented in Name Suggestions.
`static java.lang.String` | `SPANISH_CODE` Spanish language Constant used with EPP.
`static java.lang.String` | `SPANISH_NAME` Spanish language Constant as represented in Name Suggestions.
`static java.lang.String` | `TURKISH_CODE` Turkish language Constant as represented in ISO 639-2/B Code used with EPP.
`static java.lang.String` | `TURKISH_NAME` Turkish language Constant as represented in Name Suggestions.

Field Detail

### ELM_LANGUAGE

    static final java.lang.String ELM_LANGUAGE

  EPP Suggestion `language` element.

  See Also:
    Constant Field Values

### ELM_KEY

    static final java.lang.String ELM_KEY

  EPP Suggestion `key` element.

  See Also:
    Constant Field Values

### ELM_SUBID

    static final java.lang.String ELM_SUBID

  EPP Suggestion `subID` element.

  See Also:
    Constant Field Values

### ENGLISH_NAME

    static final java.lang.String ENGLISH_NAME

  English language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### ENGLISH_CODE

    static final java.lang.String ENGLISH_CODE

  English language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### SPANISH_NAME

    static final java.lang.String SPANISH_NAME

  Spanish language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### SPANISH_CODE

    static final java.lang.String SPANISH_CODE

  Spanish language Constant used with EPP.

  See Also:
    Constant Field Values

### PORTUGUESE_NAME

    static final java.lang.String PORTUGUESE_NAME

  Portuguese language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### PORTUGUESE_CODE

    static final java.lang.String PORTUGUESE_CODE

  Portuguese language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### GERMAN_NAME

    static final java.lang.String GERMAN_NAME

  German language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### GERMAN_CODE

    static final java.lang.String GERMAN_CODE

  German language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### FRENCH_NAME

    static final java.lang.String FRENCH_NAME

  French language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### FRENCH_CODE

    static final java.lang.String FRENCH_CODE

  French language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### TURKISH_NAME

    static final java.lang.String TURKISH_NAME

  Turkish language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### TURKISH_CODE

    static final java.lang.String TURKISH_CODE

  Turkish language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### CHINESE_CODE

    static final java.lang.String CHINESE_CODE

  Chinese language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### CHINESE_NAME

    static final java.lang.String CHINESE_NAME

  Chinese language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### KOREAN_CODE

    static final java.lang.String KOREAN_CODE

  Korean language Constant as represented in ISO 639-2/B Code used with EPP.

  See Also:
    Constant Field Values

### KOREAN_NAME

    static final java.lang.String KOREAN_NAME

  Korean language Constant as represented in Name Suggestions.

  See Also:
    Constant Field Values

### DEFAULT_LANGUAGE

    static final java.lang.String DEFAULT_LANGUAGE

  Default the language to English for backward compatibility.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.